[arch-commits] Commit in python-cairosvg/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Nov 25 05:17:51 UTC 2016


    Date: Friday, November 25, 2016 @ 05:17:50
  Author: felixonmars
Revision: 196826

upgpkg: python-cairosvg 2.0.0-1

Modified:
  python-cairosvg/trunk/PKGBUILD

----------+
 PKGBUILD |   54 +++++++++++++++---------------------------------------
 1 file changed, 15 insertions(+), 39 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2016-11-25 05:04:40 UTC (rev 196825)
+++ PKGBUILD	2016-11-25 05:17:50 UTC (rev 196826)
@@ -5,62 +5,38 @@
 # Contributor: Dennis Fink <dennis.fink at c3l.lu>
 # Contributor: Simon Sapin <simon dot sapin at exyr dot org>
 
-pkgname=(python-cairosvg python2-cairosvg)
-pkgver=1.0.22
+pkgname=python-cairosvg
+pkgver=2.0.0
 pkgrel=1
 pkgdesc="A Simple SVG Converter for Cairo"
 arch=('any')
 url="http://cairosvg.org/"
 license=('LGPL3')
-makedepends=('python-cairocffi' 'python2-cairocffi' 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-pillow' 'python2-pillow' 'python-lxml'
-              'python2-lxml' 'python-tinycss' 'python2-tinycss' 'python-cssselect'
-              'python2-cssselect' 'gnu-free-fonts')
+depends=('python-cairocffi' 'python-lxml' 'python-tinycss' 'python-cssselect' 'python-pillow')
+makedepends=('git')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-pytest-isort'
+              'python2-pytest-isort' 'python-pytest-flake8' 'python2-pytest-flake8'
+              'python-pytest-cov' 'python2-pytest-cov' 'gnu-free-fonts')
 source=("git+https://github.com/Kozea/CairoSVG.git#tag=$pkgver")
 md5sums=('SKIP')
 
 prepare() {
-  cp -a CairoSVG{,-py2}
+  cd CairoSVG
+  git submodule update --init
 }
 
 build() {
-  cd "$srcdir/CairoSVG"
+  cd CairoSVG
   python setup.py build
-
-  cd "$srcdir/CairoSVG-py2"
-  python2 setup.py build
 }
 
-check() {(
-  cd "$srcdir/CairoSVG"
-  nosetests3
-
-  cd "$srcdir/CairoSVG-py2"
-  nosetests2
-  ) || warning "Tests failed"
+check() {
+  cd CairoSVG
+  python setup.py test || warning "Tests failed"
   # Tests require special fonts that are not in the repos
 }
 
-package_python-cairosvg() {
-  depends=('python-cairocffi')
-  optdepends=('python-lxml: To use lxml to parse SVG files'
-              'python-tinycss: Apply CSS not included in the style attribute of the tags'
-              'python-cssselect: Apply CSS not included in the style attribute of the tags'
-              'python-pillow: To handle embedded raster images other than PNG')
-
-  cd "$srcdir/CairoSVG"
+package() {
+  cd CairoSVG
   python setup.py install --root="$pkgdir/" --optimize=1
 }
-
-package_python2-cairosvg() {
-  depends=('python2-cairocffi')
-  optdepends=('python2-lxml: To use lxml to parse SVG files'
-              'python2-tinycss: Apply CSS not included in the style attribute of the tags'
-              'python2-cssselect: Apply CSS not included in the style attribute of the tags'
-              'python2-pillow: To handle embedded raster images other than PNG')
-
-  cd "$srcdir/CairoSVG-py2"
-  python2 setup.py install --root="$pkgdir/" --optimize=1
-
-  mv "$pkgdir"/usr/bin/cairosvg{,2}
-}



More information about the arch-commits mailing list